org.opencv.ximgproc

## Class GuidedFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.GuidedFilter

-     public class GuidedFilter
      extends Algorithm

  Interface for realizations of Guided Filter. For more details about this filter see CITE: Kaiming10 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GuidedFilter(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GuidedFilter` | `__fromPtr__(long addr)`
    `void` | `filter(Mat src, Mat dst)` Apply Guided Filter to the filtering image.
    `void` | `filter(Mat src, Mat dst, int dDepth)` Apply Guided Filter to the filtering image.
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidedFilter

          protected GuidedFilter(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GuidedFilter __fromPtr__(long addr)

    - #### filter

          public void filter(Mat src,
                             Mat dst,
                             int dDepth)

      Apply Guided Filter to the filtering image.
      Parameters:
        `src` - filtering image with any numbers of channels.
        `dst` - output image.
        `dDepth` - optional depth of the output image. dDepth can be set to -1, which will be equivalent to src.depth().

    - #### filter

          public void filter(Mat src,
                             Mat dst)

      Apply Guided Filter to the filtering image.
      Parameters:
        `src` - filtering image with any numbers of channels.
        `dst` - output image. to src.depth().

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8